Update Oidc Relying Party
Updates a specific OIDC relying party.
Updates an OIDC relying party.
Request
URI
PUT
https://{api_host}/cloudapi/1.0.0/openIdProvider/relyingParties/{id}
COPY
Path Parameters
string
id
Required
OIDC relying party's ID
Request Body
OidcRelyingParty
of type(s)
application/json
Optional
Show optional properties
{
"clientName": "string",
"redirectUris": [
{}
]
}
{
"id": "string",
"clientId": "string",
"clientName": "string",
"clientSecret": "string",
"redirectUris": [
"string"
],
"scope": [
"string"
],
"isPublic": false,
"isPkceEnabled": false
}
Responses
200
OK
Returns
OidcRelyingParty
of type(s)
application/json;version=9.1.0
{
"id": "string",
"clientId": "string",
"clientName": "string",
"clientSecret": "string",
"redirectUris": [
"string"
],
"scope": [
"string"
],
"isPublic": false,
"isPkceEnabled": false
}
Code Samples
COPY
curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"clientName":"string","redirectUris":["string"]}' https://{api_host}/cloudapi/1.0.0/openIdProvider/relyingParties/{id}
Availability
Added in 37.2
On This Page
Oidc Relying Party Operations
GET
Query Oidc Relying Parties
POST
Register Oidc Relying Party
GET
Get Oidc Relying Party
PUT
Update Oidc Relying Party
DELETE
Delete Oidc Relying Party
POST
Regenerate Oidc Relying Party Secret